UsersCurrent user profile

Current user profile

curl -X GET "//api/users/me" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT or sb_ API token)"
{
  "id": "example_string",
  "email": "user@example.com",
  "name": "John Doe",
  "user_key": "example_string",
  "is_admin": true,
  "language": "example_string",
  "theme": "example_string",
  "ai_suggestions_enabled": true,
  "email_pending": "user@example.com",
  "oidc_provider": "example_string",
  "oidc_sub": "example_string",
  "has_password": true
}
GET
/api/users/me
GET
Bearer Token (JWT or sb_ API token)
Bearer Tokenstring
Required

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Use Authorization: Bearer <token>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT or sb_ API token). Use Authorization: Bearer \<token\>. Personal API tokens from Profile use the sb_ prefix. You may also send the access JWT as Bearer (same value as the token cookie after login).

Responses

idstring
emailstring
namestring
user_keystring
is_adminboolean
languagestring
themestring
ai_suggestions_enabledboolean
email_pendingstring
oidc_providerstring
oidc_substring
has_passwordboolean

True if the account has a non-empty local password hash.